<!-- 
  По сравнению с прошлой страницей изменена адаптивная ширина, так как это удобно реализовано в bootstrap (отталкиваясь от md по документации) и расширенная работа с блоками ссылок
  Размер header и footer фиксированный - 100px, как и в оригинальной работе, также сделана незначительная шрифтовая работа
-->
<!DOCTYPE html>
<html lang="ru">
    <head>
      <meta charset="utf-8">
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
      <link href="style.css" rel="stylesheet">
      <script src="script.js" defer ></script>
      <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
      <title>Первая страница</title>
    </head>
    <body>
      <header class="container-fluid header-theme mb-3">
        <div class = "container-md pl-0">
        <a class="navbar-brand nav-text" href="#">
        <img src="image.png" width="100" height="100" class="d-inline-block align-middle" alt="Описание картинки для скрин-ридеров и поисковиков"/> Первый сайт </a>
       </div>
      </header>
    <a id = "top"></a>
    <nav>
    <div class = "container-md">
      <div class="row mb-3 align-self-center">
        <div class="col-md-6 col-lg-4 col-xl-3 themed-grid-col py-2"><a href="http://example.com/">Ссылка1</a></div>  <div class="col-md-6 col-lg-4 col-xl-3 themed-grid-col py-2"><a href="http://example.com/">Ссылка2</a></div>   <div class="col-md-6 col-lg-4 col-xl-3 themed-grid-col py-2 "><a href="http://example.com/">Ссылка3</a></div> <div class="col-md-6 col-lg-4 col-xl-3 themed-grid-col py-2"><a href="http://example.com/">Ссылка4</a></div> <div class="col-md-6 col-lg-4 col-xl-3 themed-grid-col py-2"><a href="http://example.com/">Ссылка5</a></div></div></div></nav>
    
        <div class = "container-md theme-list py-3 pl-0 mb-3"><ol>    
        <li><a href="http://example.com/">Ссылка1 (http)</a></li>   
        <li><a href="https://example.com/">Ссылка2 (https)</a></li>  
        <li><a href="ftp://speedtest.tele2.net/512KB.zip">Ссылка3 (ftp без авторизации)</a></li>
        <li><a href="ftp://user:pass123@example.com/example.txt">Ссылка4 (ftp с авторизацией)</a></li>
        <li><a href="https://ozon.ru/#header">Ссылка5(наверх на другой странице)</a></li> 
        <li><a href="#top">Ссылка6(наверх)</a></li>
        <li><a href="https://www.ozon.ru/category/elektronika-15500/?from_global=true&text=raspberry+pi+3">Сcылка7 (два параметра)</a></li>
        <!--Первый параметр: from_global, второй: text-->
        <li> 
          <ol> 
          <li><a href="https://www.ozon.ru/" title="Переход на сторонний ресурс">Главная</a> </li><li> <a href="https://www.ozon.ru/referral/?perehod=header"  title="ayaya">Реферальная программа</a> </li>
            <li><a href="https://docs.ozon.ru/common/" title="yappy!">Помощь</a></li>
          </ol>
        </li>
        <li><a>Ссылка9 (без href)</a></li>
        <li><a href="">Ссылка10 (пустой href)</a></li>
        <li><a href="https://www.ozon.ru/" rel="nofollow">Ссылка11 (запрещен переход поисковикам) </a></li>
        <li><a href="https://www.ozon.ru/" rel="noindex">Ссылка12 (запрещена индексация) </a></li>
        <li>Lorem Ipsum - это текст-"рыба", часто используемый в печати и вэб-дизайне. <br>
        <a href="https://ru.lipsum.com/" >Lorem Ipsum</a> является стандартной "рыбой" для текстов на латинице с начала XVI века. 
        В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. 
        Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. </li>
        <li><a href="https://www.ozon.ru/category/elektronika-15500/?from_global=true&text=raspberry+pi+3"><img src="https://hackaday.com/wp-content/uploads/2019/03/googletpu.png?w=800"  alt="ha-ha" class = "minwgh" ></a></li>
        <li><img src="http://igrushka.kz/vip58/list4.gif" alt="he-he" usemap="#somemap" class="minwgh">
            <map name="somemap">
              <area shape="rect" coords="210,22,355,163" alt="Квадрат" href="https://www.google.com/search?q=%D0%BF%D1%80%D1%8F%D0%BC%D0%BE%D1%83%D0%B3%D0%BE%D0%BB%D1%8C%D0%BD%D0%B8%D0%BA">
              <area shape="circle" coords="84,100,78" alt="Круг" href="https://www.google.com/search?q=%D0%BA%D1%80%D1%83%D0%B3">
            </map></li>
        <li><a href="newindex.html">Ссылка16</a></li>
        <li><a href="about/newindex.html">Ссылка17</a></li>
        <li><a href="../newindex.html">Ссылка18</a></li>
        <li><a href="../../newindex.html">Ссылка19</a></li>
        <li><a href="/">Ссылка20</a></li>
        <li><a href="/about/index.html">Ссылка21</a></li>
    </ol> 
  </div>

    <div class="row container-fluid p-0 m-0">
    <div class= "col-12 px-0">
    <div class = "container-md theme-list py-3 mb-3">
    <table class= "table table-striped table-bordered table-hover">
      <thead class= "thead-dark">
      <tr>
        <th scope = "col">Колонка 1</th>
        <th scope = "col">Колонка 2</th>
        <th scope = "col">Колонка 3</th>
      </tr>
      </thead>
      <tbody>
      <tr>
        <td rowspan="3">Ячейка 11</td>
        <td rowspan="3">Ячейка 12</td>
        <td>Ячейка 13</td>
      </tr>
      <tr>
        <td>Ячейка 23</td>
      </tr>
      <tr>
        <td>Ячейка 33</td>
      </tr>
      <tr class="table-danger">
        <td>Ячейка 41</td>
        <td>Ячейка 42</td>
        <td>Ячейка 43</td>
      </tr>
      <tr>
        <td colspan ="2">Ячейка 51</td>
        <td>Ячейка 53</td>
      </tr>
      </tbody>
    </table>
    </div>
  </div>

<div class = "col-12 order-first order-md-2 px-0"> 
<!-- mobile-first - форма на первом месте, для других экранов меняется лишь следующей командой-->
<div class = "container-md theme-list py-3 mb-3">
      <form action="URL_отправки_данных"
    method="POST">
    <label>
      Имя:<br>
      <input name="field-name-1"/>
    </label><br/>
    <label>
      Email:<br/>
      <input name="field-email"
        value="sample@example.com"
        type="email" />
    </label><br />
    <label>
      Дата рождения:<br/>
      <input name="field-date" type="date" value="2020-09-07"/>
    </label><br />
    Пол:<br />
    <label><input type="radio" checked="checked"
      name="radio-group-1" value="Знач1" />
      М</label>
    <label><input type="radio"
      name="radio-group-1" value="Знач2" />
      Ж</label><br />
    Количество конечностей:<br />
    <label><input type="radio" checked="checked"
      name="radio-group-2" value="Знач1" />
      1</label>
    <label><input type="radio"
      name="radio-group-2" value="Знач2" />
      2</label><br />
      <label><input type="radio"
      name="radio-group-2" value="Знач3" />
      3</label><br />
      <label><input type="radio"
      name="radio-group-2" value="Знач4" />
      4</label><br />
    <label>
        Способности:
        <br />
        <select name="field-name-4[]"
          multiple="multiple">
          <option value="Значение1">Бессмертие</option>
          <option value="Значение2">Прохождение сквозь стены</option>
          <option value="Значение3">Левитация</option>
        </select>
    </label><br />
    <label>
      Биография:<br />
      <textarea name="field-name-2"></textarea>
    </label><br />
    <label><input type="checkbox"
      name="check-1" />
      С контрактом ознакомлен</label><br />
    <input type="submit" value="Отправить" />
  </form> 
  </div>
  </div>
</div>

<iframe name="iframe1" style="position: absolute; left: -9999px;"></iframe>
<!--Костыль, чтобы форма была внутри тега form и не перезагружалась при нажатии кнопки-->
<div class = "container-md theme-list py-3 pl-3 mb-3" id="calc">
    <h2>Калькулятор</h2>
    <form method="post" action="/handler/" target="iframe1">
    <div class="row mb-3 align-self-center">
<div class= "col-md-6 col-xl-3 text-center"> Введите количество страниц:  
  <input name="field1" class="field-text ml-md-0 ml-4 mb-3 form-control-lg" placeholder="Введите цифры" type="text"> </div>
<div class="col-md-6 col-xl-3 text-center"> Введите количество тетрадей:
  <input name="field2" class="field-text ml-md-0 ml-3 form-control-lg" placeholder="И еще цифры" type="text">
  </div>
  <div class = "col-md-6 col-xl-1 mt-xl-5 mt-md-4 text-center">
    <input class="form-check-input" type="checkbox" value="" id="defaultCheck1">
    <label class="form-check-label" for="defaultCheck1">
      Доставка
    </label>
</div>
  <div class="col-md-6 col-xl-1 text-center mt-md-4 mt-2">
  <button id="button1" class="btn-info btn-lg" onclick="return click1();">Посчитать</button> </div>
  <div class="col-md-12 col-xl-4 col-lg-12 text-center mt-md-4 mt-2"><div id="result" class="h4">1</div></div>
</div>
  </form>
</div>

  <footer class="container-fluid header-theme">
    <div class="text-center">
      <a class="navbar-brand footer-size" href="#">
        somebody was told me 2020 (c) </a>
    </div>
  </footer>
    </body>
</html>